summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-08-02 10:28:42 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-08-02 10:29:11 +0000
commit0604d8b81bfd01b4040dd6611ba69c23a0082aa1 (patch)
treec5e3d62c7e859e3cb859a06d501a8f1c5452f404
parent8fcaafa226ec13e0d01fe497211871e87dfaa127 (diff)
downloadjenkins-scripts-0604d8b81bfd01b4040dd6611ba69c23a0082aa1.tar.gz
round-robin-bisect.sh: Better handle spurious regressions
Change-Id: I503aa7a3fd718fd2cd5b20f279e097fbf8f2f015
-rwxr-xr-xround-robin-bisect.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/round-robin-bisect.sh b/round-robin-bisect.sh
index a7494e13..9b94b715 100755
--- a/round-robin-bisect.sh
+++ b/round-robin-bisect.sh
@@ -225,14 +225,14 @@ EOF
if [ x"$baseline_rev" = x"$bad_rev" ]; then
echo "WARNING: Detected regression with no change in sources of $current_project"
sed -i -e "s/\$/-no_change/" $artifacts/jenkins/build-name
- trap "" EXIT
- exit 1
+ res=0
+else
+ # Confirm regression in $bad_rev vs $baseline_rev.
+ git checkout --detach $bad_rev
+ $artifacts/test.sh &
+ res=0 && wait $! || res=$?
fi
-# Confirm regression in $bad_rev vs $baseline_rev.
-git checkout --detach $bad_rev
-$artifacts/test.sh &
-res=0 && wait $! || res=$?
# Restore revision previously checked out. Otherwise "git bisect run"
# below will not use replay info.
git checkout --detach $prev_rev